# Generated by Django 3.2.20 on 2024-01-16 15:02

from django.db import migrations, models
import django.db.models.deletion

import core.models


def set_default_press_id(apps, schema_editor):
    Press = apps.get_model("press", "Press")
    EditorialGroup = apps.get_model("core", "EditorialGroup")
    press = Press.objects.first()
    if press:
        EditorialGroup.objects.filter(press__isnull=True).update(press=press)


class Migration(migrations.Migration):
    atomic = False

    dependencies = [
        ('journal', '0059_alter_prepublicationchecklistitem_completed_by'),
        ('press', '0031_staffgroup_staffgroupmember'),
        ('core', '0082_account_name_prefix_20231204_1231'),
    ]

    operations = [
        migrations.AddField(
            model_name='editorialgroup',
            name='press',
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to='press.press',
                null=True,
            ),
        ),
        migrations.RunPython(set_default_press_id, reverse_code=migrations.RunPython.noop),
        migrations.AlterField(
            model_name='editorialgroup',
            name='press',
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to='press.press',
                default=core.models.default_press_id,
            ),
        ),
        migrations.AlterField(
            model_name='editorialgroup',
            name='journal',
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to='journal.journal'
            ),
        ),
        migrations.AddField(
            model_name='editorialgroupmember',
            name='statement',
            field=models.TextField(blank=True, help_text='A statement of interest or purpose'),
        ),
    ]
